Entrar

Criar configuracao

POST https://{organization}.myguper.com/api/register/tier/config

Cria uma configuração de tier. Cada organização pode rodar mais de um programa em paralelo (ex: tier de cliente + tier de colaborador).

Try-it values populated from environment ACME (Demo)


Autenticação

Token

Send your user token in the x-guper-authorization header.

Cabeçalhos

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Corpo da requisição

Content-Type: application/json

{
    "name": "Programa Guper",
    "levels": [
        {
            "name": "Silver",
            "minPoints": 1000
        }
    ],
    "sources": "{\"rewardCampaign\": {\"multiplier\": 1, \"expiresInDays\": 365, \"campaigns\": [12, 40]}}",
    "isActive": true,                                           // optional
    "autoEnrollOnOptIn": true                                   // optional
}

Respostas

{
    "id":        2,
    "name":      "Colaboradores Guper",
    "isActive":  true,
    "createdAt": "2026-05-01T12:34:56-03:00"
}
Copied to clipboard